-- settings.lua

local o = vim.o
local wo = vim.wo
local bo = vim.bo
local g = vim.g
local cmd = vim.cmd

---- Misc Options
-- global options
o.swapfile = true
o.dir = '/tmp'
o.smartcase = true
o.laststatus = 2
o.hlsearch = true
o.incsearch = true
o.ignorecase = true
o.scrolloff = 12
o.mouse = 'a'

-- window-local options
wo.number = true
wo.wrap = false

-- buffer-local options
bo.shiftwidth = 4
bo.tabstop = 4
bo.softtabstop = 4
bo.expandtab = true
bo.autoindent = true

---- Theme
-- Font
o.guifont = 'Source Code Pro for Powerline'

-- Statusline
local lualine = require('lualine')
lualine.status()

-- Bufferline
local bufferline = require('bufferline')
bufferline.setup()

local function ColorDarcula()
    lualine.options.theme = 'onedark'
    g.limelight_conceal_ctermfg = 'DarkGray'
    cmd 'colorscheme darcula'
end

bo.syntax = 'on'
ColorDarcula()
